<?php

namespace FiloBlu\Storelocator\Setup;

use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;

class UpgradeData implements UpgradeDataInterface {

    public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context) {

        $setup->startSetup();

        if (version_compare($context->getVersion(), '1.2.0') < 0) {

            // Quote
            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("quote"), 'pickup_in_store_id', [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                        'comment' => 'PickUp In Store ID'
                            ]
            );
            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("quote"), 'pickup_in_store_email', [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                        'length' => 100,
                        'nullable' => true,
                        'comment' => 'PickUp In Store Email'
                            ]
            );

            // Order
            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("sales_order"), 'pickup_in_store_id', [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                        'comment' => 'PickUp In Store ID'
                            ]
            );
            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("sales_order"), 'pickup_in_store_email', [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                        'length' => 100,
                        'nullable' => true,
                        'comment' => 'PickUp In Store Email'
                            ]
            );

        }

        if (version_compare($context->getVersion(), '1.2.2') < 0) {

            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("sales_order"), 'pickup_in_store_confirm_date', [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TIMESTAMP,
                        'nullable' => true,
                        'comment' => 'PickUp In Store Confirm Date'
                            ]
            );

        }

        if (version_compare($context->getVersion(), '1.2.3') < 0) {

            $setup->getConnection()
                    ->addColumn(
                            $setup->getTable("sales_order"), 'pickup_in_store_hash', [
                              'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                              'length' => 100,
                              'nullable' => true,
                              'comment' => 'PickUp In Store Hash'
                            ]
            );

        }

        $setup->endSetup();
    }

}
